package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.utils.StringUtils;
import com.ozs.service.entity.BaseCameraManagement;
import com.ozs.service.entity.BaseCameraVersion;
import com.ozs.service.entity.vo.Data;
import com.ozs.service.mapper.BaseCameraManagementMapper;
import com.ozs.service.mapper.BaseCameraVersionMapper;
import com.ozs.service.service.BaseCameraVersionService;
import net.bytebuddy.asm.Advice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @Author : sunhh
 * @create 2023/4/24 11:22
 */
@Service
public class BaseCameraVersionServiceImpl extends ServiceImpl<BaseCameraVersionMapper, BaseCameraVersion> implements BaseCameraVersionService {

    @Autowired
    private BaseCameraVersionMapper baseCameraVersionMapper;

    @Override
    public AjaxResult cameraVersionAdd(BaseCameraVersion baseCameraVersion, String userId) {
        LambdaQueryWrapper<BaseCameraVersion> wrapper = new LambdaQueryWrapper<>();
        if (!StringUtils.isEmptySunhh(baseCameraVersion) && !StringUtils.isEmptySunhh(baseCameraVersion.getVersionNum())) {
            wrapper.eq(BaseCameraVersion::getVersionNum, baseCameraVersion.getVersionNum());
        }
        if (!StringUtils.isEmptySunhh(baseCameraVersion) && !StringUtils.isEmptySunhh(baseCameraVersion.getVersionName())) {
            wrapper.eq(BaseCameraVersion::getVersionName, baseCameraVersion.getVersionName());
        }
        BaseCameraVersion baseCameraVersion1 = baseCameraVersionMapper.selectOne(wrapper);
        if (StringUtils.isEmptySunhh(baseCameraVersion1)) {
            baseCameraVersion.setCreateBy(userId);
            baseCameraVersion.setUpdateBy(userId);
            Date date = new Date();
            baseCameraVersion.setCreateTime(date);
            baseCameraVersion.setUpdateTime(date);
            baseCameraVersionMapper.insert(baseCameraVersion);
        } else {
            return AjaxResult.error("当前版本号或版本名称已存在，请核对后在添加！");
        }
        return AjaxResult.success();
    }
}
